Lib's Disguises

LibsDisguises

Source: https://www.spigotmc.org/resources/libs-disguises.32453/
https://github.com/libraryaddict/LibsDisguises/
Contributors:
libraryaddict, ByteFlux, Navid

Dependencies

This is a disguise plugin which usesย ProtocolLib. Please use the latestย stableย build! Not dev build!

Legacy Builds

If you’re using an older version of MC, please scroll down for the appropriate Lib’s Disguises builds!

Random error on startup with statistics mentioned

Your version of Java was likely updated, please downgrade.

Self Disguises pushing players

Please check if you have a nametag plugin enabled, you will need to disable collisions in that plugin.

Why is this Premium?

It takes time and effort to develop a plugin that runs smoothly, offers the features you want and delivers consistently.

If you do not wish to contribute for the continued development of this plugin, you can still download the latest versions of the pluginย hereย for free.

However the development builds do not include the premium-only features:

  • Save disguises
  • Translations
  • Advanced Builds

If you want to use the premium features on a development build, place the purchased Lib’s Disguises.jar inside your ‘LibsDisguises’ plugin folder, in the /plugins/ folder.

If you are listing this plugin as a dependency or something to download, please do not link to the above jenkins link. The development builds are downloadable for free as a courtesy, not a right.

You may distribute this plugin as part of a plugin pack or similar, so long as you are not selling this plugin and the distributed version is not the premium version.

If you have donated the purchase price already,ย send me a messageย with the email you used and I will add you to the buyers.

If you are releasing a public plugin which requires Lib’s Disguises to run, if you are well known or your plugin has a lot of work done; I may be able to add you to the buyers.ย Send me a message.

Description

If you have a problem with the plugin, open aย bug report, reply to theย discussion threadย or if this is of a personal nature, pleaseย send me a message.

Using this plugin, you can

  • Perform full featured commandsย /disguise sheep setburning setinvisible setcolor RED setsprinting setbaby setcustomname Herobrine setcustomnamevisible
  • Useย /disguisehelpย <Disguise> to view what options you can use on a disguise, thenย /disguisehelp Colorย – to view more information
  • Better select things to disguiseย /disguiseplayerย /disguiseradiusย /disguiseentity, disguise as an existing creatureย /disguisecloneย and modify your current disguiseย /disguisemodify
  • Change almost every aspect of an entity, from sprinting, burning, equipment. Even “flying” as if you were using elytra!
  • Setup permissions for the commands your players can use, what disguise options they can set on your disguises. Read the wiki for more information on permissions.
  • Play sounds as if they were actually that disguise.
  • By using the API, customize disguises to be visible or hidden to certain people. This means you can let one person see a creeper disguise, while the other sees a zombie disguise.
  • See your own disguise, works best in third person mode.
  • Register your own custom disguises, the disguise “/disguise libraryaddict” will disguise you as the player “libraryaddict” with a glow aura, and golden armor!
  • Smooth disguise implementation with no visual artifacts.
  • Translations support, even create your own messages!
  • Save disguises
  • Disguise as any player, hide names and show names in tab and use any skin with any name. For example: “/disguise Notch setSkin Herobrine”. It also supports gameprofiles! Read the disguises yml for more information.
  • Disable features to improve performance

Additionally, this plugin usesย bStatsย to see which areas of the plugin players enjoy the most.

Documentation:ย [Link]

Ratings

The rating system is not intended for reporting bugs, asking questions or personal issues. Less than 5 stars indicates there’s a problem, you should indicate a reason for it.

Development Builds

These builds can be untested, however they are also the latest version of the plugin and recommended if you’re experiencing problems with the released versions.

Jenkins : [Link]

Legacy Builds

These are direct links to old, unsupported versions of Lib’s Disguises.

8.2.6 (1.7)ย 
8.6.8 (1.8)ย orย 8.6.7 (1.8)
9.0.6 (1.9)
9.5.2 (1.12.2)ย which requiresย ProtocolLib 4.3.0

To download older specific versions of Lib’s Disguises, click on ‘Version History‘ and find the version you want. Then click ‘Download’.

Dependencies

Donating

This was added by request.

[โ€‹IMG]โ€‹

Github

(Source + Issue tracking):ย [Link]

Repository Location:
http://repo.md-5.net/content/groups/public/
Maven Repo

Code (Text):
<repository>
<id>md_5-public</id>
<url>http://repo.md-5.net/content/groups/public/</url>
</repository>

<dependency>
<groupId>LibsDisguises</groupId>
<artifactId>LibsDisguises</artifactId>
<version><Version></version>
</dependency>

Yes, the maven name is weird. A little too late to fix though.

Leave a Reply

Your email address will not be published. Required fields are marked *

six + four =

Skip to toolbar